package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;
import java.util.List;

public class ProductListBean {
    /**
     * code : 200
     * msg : 操作成功
     * data : [{"id":1689143834815,"productName":"测试产品1","productCode":"string","productTagNum":0,"productImgNum":0,"companyId":1689074563327},{"id":1689143834816,"productName":"测试产品2","productCode":"string2","productTagNum":0,"productImgNum":0,"creationTime":"2023-07-12 14:40:15","lastUpdatedTime":"2023-07-12 14:40:15","companyId":1689074563327}]
     */

    private int code;
    private String msg;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean implements Serializable {
        /**
         * id : 1689143834815
         * productName : 测试产品1
         * productCode : string
         * productTagNum : 0
         * productImgNum : 0
         * companyId : 1689074563327
         * creationTime : 2023-07-12 14:40:15
         * lastUpdatedTime : 2023-07-12 14:40:15
         */

        private long id;
        private String productName;
        private String productCode;
        private int productTagNum;
        private int productImgNum;
        private long companyId;
        private String creationTime;
        private String lastUpdatedTime;
        private  int status;

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public int getProductTagNum() {
            return productTagNum;
        }

        public void setProductTagNum(int productTagNum) {
            this.productTagNum = productTagNum;
        }

        public int getProductImgNum() {
            return productImgNum;
        }

        public void setProductImgNum(int productImgNum) {
            this.productImgNum = productImgNum;
        }

        public long getCompanyId() {
            return companyId;
        }

        public void setCompanyId(long companyId) {
            this.companyId = companyId;
        }

        public String getCreationTime() {
            return creationTime;
        }

        public void setCreationTime(String creationTime) {
            this.creationTime = creationTime;
        }

        public String getLastUpdatedTime() {
            return lastUpdatedTime;
        }

        public void setLastUpdatedTime(String lastUpdatedTime) {
            this.lastUpdatedTime = lastUpdatedTime;
        }
    }
}
